Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.conversion.Convert Class Reference
Inheritance diagram for com.foxit.sdk.addon.conversion.Convert:

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Member Functions
static boolean | fromDWG (String engine_path, String src_dwg_path, String saved_pdf_path, DWG2PDFSettingData settings) throws com.foxit.sdk.PDFException
| Convert a DWG format file to a PDF file. More...
static void | fromHTML (FileReaderCallback src_html, HTML2PDFRelatedResourceArray html2pdf_related_resource_array, String engine_path, FileReaderCallback cookies_reader, HTML2PDFSettingData setting_data, FileWriterCallback saved_pdf_filestream, int timeout) throws com.foxit.sdk.PDFException
| Convert a HTML format file or a URL of a Web page to a PDF file. More...
static void | fromHTML (String src_html, String engine_path, FileReaderCallback cookies_reader, HTML2PDFSettingData setting_data, FileWriterCallback saved_pdf_filestream, int timeout) throws com.foxit.sdk.PDFException
| Convert a HTML format file or a URL of a Web page to a PDF file. More...
static void | fromHTML (String src_html, String engine_path, FileReaderCallback cookies_reader, HTML2PDFSettingData setting_data, String saved_pdf_path, int timeout) throws com.foxit.sdk.PDFException
| Convert a HTML format file or a URL of a Web page to a PDF file. More...
static void | fromHTML (String src_html, String engine_path, String cookies_path, HTML2PDFSettingData setting_data, String saved_pdf_path, int timeout) throws com.foxit.sdk.PDFException
| Convert a HTML format file or a URL of a Web page to a PDF file. More...
static void | fromImage (FileReaderCallback file_reader, FileWriterCallback saved_pdf_filestream) throws com.foxit.sdk.PDFException
| Convert a Image format file to a PDF file. More...
static void | fromImage (String src_img, String saved_pdf_path) throws com.foxit.sdk.PDFException
| Convert a Image format file to a PDF file. More...
static void | fromTXT (String src_txt, String saved_pdf_path, TXT2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert a TXT format file to a PDF file. More...
static boolean | toXML (String src_pdf_path, String src_file_password, String saved_xml_path, String saved_image_folder_path, boolean is_force_to_tagged_pdf) throws com.foxit.sdk.PDFException
| Convert a PDF file to a XML format file. More...

## Static Public Attributes
static final int | e_Office2PdfEngineMicrosoft = 0
| Microsoft Office automation engine.
static final int | e_Office2PdfEngineWps = 1
| WPS Office automation engine.

## Detailed Description

Conversion add-on module can be used to do some conversion between PDF file and other file formats. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.initialize with a key including "Conversion" module. Before using function Convert.fromDWG , please ensure Foxit PDF SDK has been initialized successfully by function common.Library.initialize with a key including "DWG2PDF" module. From version 11.0, we do not update and maintance HTML2PDF engine package on linux x86 platform and maybe it will be deprecated in the future version on linux x86 platform.

See also
  com.foxit.sdk.common.Library

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.Convert.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

## ◆ fromDWG()

static boolean com.foxit.sdk.addon.conversion.Convert.fromDWG | ( | String | engine_path,
|  | String | src_dwg_path,
|  | String | saved_pdf_path,
|  | DWG2PDFSettingData | settings
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a DWG format file to a PDF file.

Currently, this function can only be used for desktop platforms; for other platform, this function will return false directly without doing anything.

Parameters

  [in] | engine_path | The directory path of "DWG to PDF" engine. This should not be an empty string.
  [in] | src_dwg_path | A DWG or DXF format file path. This should not be an empty string.
  [in] | saved_pdf_path | A path for saving the converted PDF file. This should not be an empty string.
  [in] | settings | The DWG2PDFSettingData object used for converting.

Returns
  None.

## ◆ fromHTML() [1/4]

static void com.foxit.sdk.addon.conversion.Convert.fromHTML | ( | FileReaderCallback | src_html,
|  | HTML2PDFRelatedResourceArray | html2pdf_related_resource_array,
|  | String | engine_path,
|  | FileReaderCallback | cookies_reader,
|  | HTML2PDFSettingData | setting_data,
|  | FileWriterCallback | saved_pdf_filestream,
|  | int | timeout
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a HTML format file or a URL of a Web page to a PDF file.

Currently, this function can only be used for desktop platforms and mac arm platforms; for other platform, this function will return directly without doing anything.

Parameters

  [in] | src_html | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user to pass html data to Foxit PDF SDK. It must be vaild.
  [in] | html2pdf_related_resource_array | The HTML2PDFRelatedResourceArray which is related to source HTML.
  [in] | engine_path | The directory path of "HTML to PDF" engine. This should not be an empty string.
  [in] | cookies_reader | (Reserved;Not supported yet)A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user to pass cookies data to Foxit PDF SDK. If this is null, that means no cookie data is used. Data format is strongly recommended to use JSON format.
  [in] | setting_data | Setting data used for converting.
  [in] | saved_pdf_filestream | A com.foxit.sdk.common.fxcrt.FileWriterCallback object for saving the converted PDF file. This should not be null.
  [in] | timeout | Seconds for timeout used for loading web pages. It should be set to a value greater than 15. If this is less than 15, 15 will be used by default.

Returns
  None.

## ◆ fromHTML() [2/4]

static void com.foxit.sdk.addon.conversion.Convert.fromHTML | ( | String | src_html,
|  | String | engine_path,
|  | FileReaderCallback | cookies_reader,
|  | HTML2PDFSettingData | setting_data,
|  | FileWriterCallback | saved_pdf_filestream,
|  | int | timeout
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a HTML format file or a URL of a Web page to a PDF file.

Currently, this function can only be used for desktop platforms; for other platform, this function will return directly without doing anything.

Parameters

  [in] | src_html | A URL of Web page or a HTML format file path. This should not be an empty string.
  [in] | engine_path | The directory path of "HTML to PDF" engine. This should not be an empty string.
  [in] | cookies_reader | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user to pass cookies data to Foxit PDF SDK. If this is null, that means no cookie data is used. Data format is strongly recommended to use JSON format.
  [in] | setting_data | Setting data used for converting.
  [in] | saved_pdf_filestream | A com.foxit.sdk.common.fxcrt.FileWriterCallback object for saving the converted PDF file. This should not be null.
  [in] | timeout | Seconds for timeout used for loading web pages. It should be set to a value greater than 15. If this is less than 15, 15 will be used by default.

Returns
  None.

## ◆ fromHTML() [3/4]

static void com.foxit.sdk.addon.conversion.Convert.fromHTML | ( | String | src_html,
|  | String | engine_path,
|  | FileReaderCallback | cookies_reader,
|  | HTML2PDFSettingData | setting_data,
|  | String | saved_pdf_path,
|  | int | timeout
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a HTML format file or a URL of a Web page to a PDF file.

Currently, this function can only be used for desktop platforms; for other platform, this function will return directly without doing anything.

Parameters

  [in] | src_html | A URL of Web page or a HTML format file path. This should not be an empty string.
  [in] | engine_path | The directory path of "HTML to PDF" engine. This should not be an empty string.
  [in] | cookies_reader | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user to pass cookies data to Foxit PDF SDK. If this is null, that means no cookie data is used. Data format is strongly recommended to use JSON format.
  [in] | setting_data | Setting data used for converting.
  [in] | saved_pdf_path | A path for saving the converted PDF file. This should not be an empty string.
  [in] | timeout | Seconds for timeout used for loading web pages. It should be set to a value greater than 15. If this is less than 15, 15 will be used by default.

Returns
  None.

## ◆ fromHTML() [4/4]

static void com.foxit.sdk.addon.conversion.Convert.fromHTML | ( | String | src_html,
|  | String | engine_path,
|  | String | cookies_path,
|  | HTML2PDFSettingData | setting_data,
|  | String | saved_pdf_path,
|  | int | timeout
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a HTML format file or a URL of a Web page to a PDF file.

Currently, this function can only be used for desktop platforms; for other platform, this function will return directly without doing anything.

Parameters

  [in] | src_html | A URL of Web page or a HTML format file path. This should not be an empty string.
  [in] | engine_path | The directory path of "HTML to PDF" engine. This should not be an empty string.
  [in] | cookies_path | Path of cookies file. If this is an empty string, that means no cookie file is used. Data format is strongly recommended to use JSON format.
  [in] | setting_data | Setting data used for converting.
  [in] | saved_pdf_path | A path for saving the converted PDF file. This should not be an empty string.
  [in] | timeout | Seconds for timeout used for loading web pages. It should be set to a value greater than 15. If this is less than 15, 15 will be used by default.

Returns
  None.

## ◆ fromImage() [1/2]

static void com.foxit.sdk.addon.conversion.Convert.fromImage | ( | FileReaderCallback | file_reader,
|  | FileWriterCallback | saved_pdf_filestream
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a Image format file to a PDF file.

Parameters

  [in] | file_reader | A com.foxit.sdk.common.fxcrt.FileReaderCallback object which is implemented by user to pass image data to Foxit PDF SDK. It must be valid.
  [in] | saved_pdf_filestream | A com.foxit.sdk.common.fxcrt.FileWriterCallback object for saving the converted PDF file. This should not be null.

Returns
  None.

## ◆ fromImage() [2/2]

static void com.foxit.sdk.addon.conversion.Convert.fromImage | ( | String | src_img,
|  | String | saved_pdf_path
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a Image format file to a PDF file.

Parameters

  [in] | src_img | A image format file path. This should not be an empty string.
  [in] | saved_pdf_path | A path for saving the converted PDF file. This should not be an empty string.

Returns
  None.

## ◆ fromTXT()

static void com.foxit.sdk.addon.conversion.Convert.fromTXT | ( | String | src_txt,
|  | String | saved_pdf_path,
|  | TXT2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a TXT format file to a PDF file.

Parameters

  [in] | src_txt | A TXT format file path. This should not be an empty string.
  [in] | saved_pdf_path | A path for saving the converted PDF file. This should not be an empty string.
  [in] | setting_data | Setting data used for converting.

Returns
  None.

## ◆ toXML()

static boolean com.foxit.sdk.addon.conversion.Convert.toXML | ( | String | src_pdf_path,
|  | String | src_file_password,
|  | String | saved_xml_path,
|  | String | saved_image_folder_path,
|  | boolean | is_force_to_tagged_pdf
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a PDF file to a XML format file.

Parameters

  [in] | src_pdf_path | Path of a PDF file. This should not be an empty string.
  [in] | src_file_password | Password for the input PDF file. If no password is needed for the file, please pass an empty string.
  [in] | saved_xml_path | Path of the saved XML format file as conversion result. This should not be an empty string.
  [in] | saved_image_folder_path | A path to specify a folder where image files will be generated during the converting. If this is an empty string, image files will be generated to a folder named "images" (if not exist, Foxit PDF SDK will generate such folder by default). Folder "images" would be in the same directory with saved XML format file (as parameter saved_xml_path).
  [in] | is_force_to_tagged_pdf | (Only useful when input PDF file is not a tagged PDF file) A boolean value to decide whether input PDF file is allowed to be converted to a tagged PDF when input PDF file is not a tagged PDF: true means input PDF file (which is not tagged PDF yet) will first be converted to a tagged PDF. Then the tagged PDF will be converted to a XML format file. false means not allow to convert input PDF file (which is not tagged PDF yet) to a tagged PDF. In this case, input PDF file will not be converted to XML format file and this function will return false.

Returns
  true means success, while false means failure.